Subject: Re: linux-next: nfs tree build failure

From: Trond Myklebust <[email-masked]>
Date: Mon, 16 Mar 2009 08:19:26 -0400

On Mon, 2009-03-16 at 21:55 +1100, Stephen Rothwell wrote:
> Hi Trond,
> 
> Today's linux-next build (sparc defconfig) failed like this:
> 
> fs/nfs/write.c:568: error: redefinition of 'nfs_need_commit'
> fs/nfs/write.c:542: error: previous definition of 'nfs_need_commit' was here
> 
> Caused by commit fb8a1f11b64e213d94dfa1cebb2a42a7b8c115c4 ("NFS: cleanup
> - remove struct nfs_inode->ncommit") which I have reverted for today.

Should be fixed now. Somehow the first definition had migrated out of
the #ifdef section immediately following it.

Apologies
  Trond